CREATE TABLE fun_wf_facts_b[ (
    FACT_ID                  NUMBER(18, 0)     NOT NULL,
    WORKFLOW_ID              NUMBER(18, 0)     NOT NULL,
    WF_OBJECT_ID             NUMBER(18, 0)     NOT NULL,
    PARENT_FACT_ID           NUMBER(18, 0) ,
    FACT_NAME                VARCHAR2(4000)    NOT NULL,
    COLLECTION_NAME          VARCHAR2(2048),
    COLLECTION_KEY1          VARCHAR2(512) ,
    COLLECTION_KEY2          VARCHAR2(512) ,
    COLLECTION_KEY3          VARCHAR2(512) ,
    COLLECTION_KEY4          VARCHAR2(512) ,
    COLLECTION_KEY5          VARCHAR2(512) ,
    REPETITIVE_FLAG          VARCHAR2(4)       NOT NULL,
    SEED_DATA_SOURCE         VARCHAR2(2048),
    MODULE_ID                VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    ORA_SEED_SET1            VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2            VARCHAR2(4)       NOT NULL
);
